projects
/
samba-cn.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
3d40c66
)
r5:
author
Ivan Rako
<Ivan.Rako@CARNet.hr>
Mon, 29 Oct 2007 23:59:55 +0000
(23:59 +0000)
committer
Ivan Rako
<Ivan.Rako@CARNet.hr>
Mon, 29 Oct 2007 23:59:55 +0000
(23:59 +0000)
debian/postinst
[new file with mode: 0755]
patch
|
blob
diff --git a/debian/postinst
b/debian/postinst
new file mode 100755
(executable)
index 0000000..
ae1797c
--- /dev/null
+++ b/
debian/postinst
@@ -0,0
+1,18
@@
+#!/bin/sh -e
+
+[ "$1" = "configure" ] || exit 0
+[ "$DEBIAN_SCRIPT_DEBUG" ] && set -vx
+
+# Load CARNet Tools
+. /usr/share/carnet-tools/functions.sh
+
+cp_check_and_sed '; security = user' \
+ 's/;.*security = user/security = user/g' \
+ /etc/samba/smb.conf || true
+
+# restart
+if [ -x /usr/sbin/invoke-rc.d ]; then
+ [ -x /etc/init.d/samba ] && invoke-rc.d samba restart
+else
+ [ -x /etc/init.d/samba ] && /etc/init.d/samba restart
+fi